Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `incus profile device`

Manage devices

## Synopsis

Description:
Manage devices

    incus profile device [flags]

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus profile - Manage profiles

- incus profile device add - Add instance devices

- incus profile device get - Get values for device configuration keys

- incus profile device list - List instance devices

- incus profile device remove - Remove instance devices

- incus profile device set - Set device configuration keys

- incus profile device show - Show full device configuration

- incus profile device unset - Unset device configuration keys